package ejb.systemAdmin;

import javax.ejb.Remote;

import TO.LoggedUserTO;
import TO.MedicalSpecialtyTO;

/**
 * 
 * @author Marcos García Núñez (mgarcianun@uoc.edu)
 *
 */
@Remote
public interface SystemAdminFacadeRemote {
	/**
	 * Definimos la interfaz remota
	 */

	public LoggedUserTO login(String id, String pwd);
	
	public MedicalSpecialtyTO updateSpecialtyData(int id, String name, String description) throws Exception;
	
	public void deleteSpecialtyData(int id, String name, String description) throws Exception;
	
	public MedicalSpecialtyTO insertSpecialtyData(String name, String description) throws Exception;
}